import axios from '@/utils/request'

export function filterList(query) {
  return axios({
    url: "/udiwms/inout/muti/filterList",
    method: "get",
    params: query
  });
}

export function addMuti(query) {
  return axios({
    url: "/udiwms/inout/muti/add",
    method: "post",
    data: query
  });
}

export function updateMuti(query) {
  return axios({
    url: "/udiwms/inout/muti/update",
    method: "post",
    data: query
  });
}

export function detailMuti(query) {
  return axios({
    url: "/udiwms/inout/muti/detail",
    method: "post",
    data: query
  });
}



export function addOrderMuti(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/addOrderMuti",
      method: "post",
      data: query
    }
  );
}

export function updateOrderMuti(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/updateOrderMuti",
      method: "post",
      data: query
    }
  );
}


export function filterMutiDetailList(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/filterMutiDetailList",
      method: "post",
      data: query
    }
  );
}

export function getCodeList(params) {
  return axios({
    url: "/udiwms/inout/code/filterList",
    method: "get",
    params: params
  });
}

export function checkUdi(params) {
  return axios({
    url: "/udiwms/inout/order/muti/checkUdi",
    method: "post",
    data: params
  });
}

export function filterMutiList(params){
  return axios({
    url: "/udiwms/inout/order/muti/filterMutiList",
    method: "get",
    params: params
  });
}

export function selectMutiList(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/selectMutiList",
      method: "post",
      data: query
    }
  );
}

export function addMutiDetail(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/addMutiDetail",
      method: "post",
      data: query
    }
  );
}

export function selectMutiDetailList(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/selectMutiDetailList",
      method: "post",
      data: query
    }
  );
}

export function delectMutiDelect(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/delectMutiDelect",
      method: "post",
      data: query
    }
  );
}

export function getMark(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/getMark",
      method: "get",
      params: query
    }
  );
}

export function delectMuti(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/delectMuti",
      method: "post",
      data: query
    }
  );
}

export function auditMuti(query) {
  return axios(
    {
      url: "/udiwms/inout/order/muti/auditMuti",
      method: "post",
      data: query
    }
  );
}






